rpma_mr_get_descriptor_size(3)

NAME
rpma_mr_get_descriptor_size - get size of the memory region descriptor

SYNOPSIS
      #include <librpma.h>

      struct rpma_mr_local;
      int rpma_mr_get_descriptor_size(const struct rpma_mr_local *mr, size_t *desc_size);

DESCRIPTION
rpma_mr_get_descriptor_size() gets size of the memory region descriptor.

RETURN VALUE
The rpma_mr_get_descriptor_size() function returns 0 on success or a negative error code on failure. rpma_mr_get_descriptor_size() does not set *desc_size value on failure.

ERRORS
rpma_mr_get_descriptor_size() can fail with the following error:

•   RPMA_E_INVAL - mr or desc_size is NULL

SEE ALSO
rpma_mr_get_descriptor(3), rpma_mr_reg(3), librpma(7) and https://pmem.io/rpma/